edfbrowser (2.00+dfsg-1) unstable; urgency=medium

  * New upstream version 2.00+dfsg
  * use_debian_packaged_edflib.patch: unfuzz.
  * format-security.patch: add; fix ftbfs with -Werror=format-security.
  * d/t/run-unit-test: give more start up time.

 -- Étienne Mollier <emollier@debian.org>  Mon, 30 Jan 2023 20:30:58 +0100

edfbrowser (1.98+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2022 09:58:10 +0100

edfbrowser (1.97+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Tue, 29 Nov 2022 20:38:20 +0100

edfbrowser (1.96+dfsg-1) unstable; urgency=medium

  * use_debian_packaged_edflib.patch: refresh.
  * d/control: limit architectures list to little endian processors.
  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 11:39:13 +0200

edfbrowser (1.95+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/tests/: add superficial autopkgtest to detect some immediate crashes
    (the kind which would segfault, but not the ones which would spawn an
    error message window unfortunately).
  * d/control: edfbrowser binary depends on libedf1 (>= 1.22).

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Jul 2022 17:54:47 +0200

edfbrowser (1.94+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/lintian-overrides: refresh spelling-error syntax.

 -- Étienne Mollier <emollier@debian.org>  Thu, 23 Jun 2022 00:21:42 +0200

edfbrowser (1.93+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 15 May 2022 16:47:02 +0200

edfbrowser (1.92+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Mon, 04 Apr 2022 20:43:50 +0200

edfbrowser (1.91+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Feb 2022 12:39:19 +0100

edfbrowser (1.90+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.
  * Refresh use_debian_packaged_edflib.patch

 -- Étienne Mollier <emollier@debian.org>  Fri, 07 Jan 2022 19:44:05 +0100

edfbrowser (1.88+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Nov 2021 20:28:16 +0100

edfbrowser (1.87+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.87+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 00:12:26 +0530

edfbrowser (1.86+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Thu, 07 Oct 2021 19:51:25 +0200

edfbrowser (1.85+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 04 Sep 2021 16:11:08 +0000

edfbrowser (1.84+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * d/watch: Remove un-needed filemangles
  * New upstream version 1.84+dfsg

  [ Étienne Mollier ]
  * d/control: update uploader address

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:40:55 +0530

edfbrowser (1.81+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 03 Feb 2021 17:17:05 +0530

edfbrowser (1.80+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 06 Jan 2021 00:58:30 +0530

edfbrowser (1.79+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 25 Oct 2020 21:43:17 +0530

edfbrowser (1.78+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Refreshed use_debian_packaged_edflib.patch.
  * Added fix-ftbfs-qt5.14.patch to address a build failure in edfbrowser 1.78
    when Qt 5.14 or later is in use.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 15 Oct 2020 19:51:38 +0200

edfbrowser (1.77+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Added myself to uploaders.
  * Refreshed use_debian_packaged_edflib.patch.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Added debian/patches/menuentry-exec-file.patch to allow file opening from
    menu items; spotted by a lintian warning.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Mon, 21 Sep 2020 22:45:43 +0200

edfbrowser (1.73+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 24 Mar 2020 09:48:19 +0100

edfbrowser (1.72+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Wrap long lines in changelog entries: 1.21-1.

 -- Andreas Tille <tille@debian.org>  Fri, 14 Feb 2020 14:16:49 +0100

edfbrowser (1.71+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jan 2020 12:38:57 +0100

edfbrowser (1.70+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 21:22:16 +0200

edfbrowser (1.68+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 19 Aug 2019 08:53:47 +0200

edfbrowser (1.67+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 09:31:22 +0100

edfbrowser (1.66+dfsg-2) unstable; urgency=medium

  * fix dh_auto_configure overriding (thanks for the patch to Pino Toscano)
    Closes: #914937

 -- Andreas Tille <tille@debian.org>  Sat, 01 Dec 2018 07:17:28 +0100

edfbrowser (1.66+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 28 Nov 2018 08:06:10 +0100

edfbrowser (1.65+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jul 2018 21:01:03 +0200

edfbrowser (1.64+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jun 2018 09:17:58 +0200

edfbrowser (1.63+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 08:39:12 +0100

edfbrowser (1.62+dfsg-1) unstable; urgency=medium

  * New usptream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2018 15:54:09 +0100

edfbrowser (1.61+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.1
  * Secure URI in watch file
  * Remove edflib convenient copy
    Closes: #752860
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Fri, 15 Dec 2017 13:27:09 +0100

edfbrowser (1.60-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 18 Sep 2017 11:24:47 +0200

edfbrowser (1.59-2) unstable; urgency=medium

  * Switch build to Qt5
    Closes: #874858

 -- Andreas Tille <tille@debian.org>  Sun, 10 Sep 2017 20:08:43 +0200

edfbrowser (1.59-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * d/rules: remove unused variable definitions

 -- Andreas Tille <tille@debian.org>  Sat, 09 Sep 2017 22:40:51 +0200

edfbrowser (1.58-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jul 2016 22:08:10 +0200

edfbrowser (1.57-1) unstable; urgency=medium

  * New upstream version
  * Add lintian override for spelling problem

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2016 08:40:24 +0100

edfbrowser (1.56-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jun 2015 11:51:28 +0200

edfbrowser (1.55-1) experimental; urgency=medium

  * New upstream version (upstream applied all patches)

 -- Andreas Tille <tille@debian.org>  Sun, 08 Feb 2015 20:25:09 +0100

edfbrowser (1.54-2) unstable; urgency=medium

  * Apply patches from upstream Git fixing freebsd build problems
    (and other minor issues)
    Closes:  #765808

 -- Andreas Tille <tille@debian.org>  Sat, 25 Oct 2014 08:32:54 +0200

edfbrowser (1.54-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 11 Oct 2014 17:35:44 +0200

edfbrowser (1.53-1) unstable; urgency=medium

  * New upstream release
    Closes: #705912
  * debian/control
     - cme fix dpkg-control
     - Priority: optional
     - canonical Vcs fields
  * debian/rules: propagate hardening options

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2013 16:44:12 +0100

edfbrowser (1.51-1) unstable; urgency=low

  * New upstream release

 -- Andreas Tille <tille@debian.org>  Sun, 12 May 2013 22:40:01 +0200

edfbrowser (1.49-1) experimental; urgency=low

  * New upstream release
  * debian/control:
     - deleted not needed DM-Upload-Allowed
     - Standards-Version: 3.9.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Feb 2013 09:33:57 +0100

edfbrowser (1.48-1) unstable; urgency=low

  * New upstream release
  * debian/upstream: Added publication data
  * debian/watch: do not call git-import-orig because package is
    not maintained in git

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jun 2012 08:53:12 +0200

edfbrowser (1.47-1) unstable; urgency=low

  * New upstream version
  * debian/rules: Propagate hardening flags into Makefile

 -- Andreas Tille <tille@debian.org>  Wed, 09 May 2012 12:58:33 +0200

edfbrowser (1.46-1) unstable; urgency=low

  * New upstream version
  * debian/copyright:
     - DEP5 verified using `cme fix dpkg-copyright`
     - Added license of third_party files
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debian/{control,compat}: debhelper 9

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2012 13:03:40 +0200

edfbrowser (1.38-1) unstable; urgency=low

  * New upstearm version
  * Team maintenance in Debian Med team with permission of
    original maintainer given in
    http://lists.debian.org/debian-med/2011/05/msg00141.html
  * Update Standards-Version to 3.9.2 (No changes needed)
  * Added Vcs fields
  * DM-Upload-Allowed: yes
  * omit initial article in short description
  * debian/rules: short dh notation to get simply rid of any
    lintian warning
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Aug 2011 19:27:10 +0200

edfbrowser (1.30-1) unstable; urgency=low

  * Update Standards-Version to 3.9.1 (No changes needed)
  * Imported Upstream version 1.30
    - Added the possibility to import events/annotations from a text/csv or
      XML file.
    - Enhanced the "Export annotations/events" tool. Now you can choose the
      separator character (comma or tab) and you can choose different ISO
      time (and date) timestamps encodings. XML export is possible as well.
    - Solved a bug in de the "adjust filter" dialogue. When using a notchfilter,
      the "order" widget was shown instead of the "Q-factor" widget.
  * Imported Upstream version 1.29
    - Added the possibility to adjust the filter settings while watching the
      result (realtime).
    - Fixed a bug that caused the program to remember the wrong montage.
    - Added a possibility in the ASCII to EDF converter to detect the physical
      maximum values of the signals automatically.
    - The ASCII to EDF converter can also convert to BDF (24-bit).
  * Imported Upstream version 1.28
    - Added support for reading the "Status" signal in Biosemi data files.
    - Added a Biosemi to BDF+ converter.
    - Added an EDF-converter for the Bmeye Nexfin / FrameInspector csv-output
    - Added zoom-in/zoom-out function using Ctrl++ and Ctrl--.
    - Added keyboard shortcuts and accelerators to the menu's.
    - From now on, the timescale will be saved in montages as well.
    - When opening a file, the last used montage (with that file) will be
      applied automatically.
  * Imported Upstream version 1.27
    - Made all the file-open/save dialogs native.
  * Imported Upstream version 1.26
    - Added an header-editor.
    - Added a file reducer/cropper.
    - Added the possibility to clip the signals to their pane.
    - Solved a bug that rendered the settingsmenu invisible on the Mac.
  * Imported Upstream version 1.26
    - Solved a bug that caused writing invalid files and/or caused to reject
      opening a file because of an incompatibility while in reality the file
      was valid.
    - Changed the name of the "Display" menu to "Timescale".
    - Added the entry "3 cm/sec" to the the Timescale menu.
    - From now on EDFbrowser will use the DPI-settings from the underlying
      windowmanager in order to calibrate the screen.
    - Solved a bug that caused malformed waveforms when opening large files
      (>4 GB) and when navigating to the end of the file. This was caused by an
      integer overflow.
    - Solved a bug in the ASCII to EDF converter (couldn't open templates).
    - Changed the sourcecode to improve Mac compatibility.



 -- Bas Zoetekouw <bas@debian.org>  Tue, 07 Dec 2010 11:15:12 +0100

edfbrowser (1.24-1) unstable; urgency=low

  * Call git-import-orig instead of uupdate in debian/watch
  * Imported Upstream version 1.22
    - Added a docked powerspectrum which updates automatically when you
      navigate through a file (PgUp,PgDn, etc,).
    - Added the possibility to use different backgroundcolors for different
      frequencyregions in the docked powerspectrum (colorbars).
    - Added an export function for the powerspectrum. This will export the
      data of the powerspectrum to a textfile.
    - Added a cursor to the powerspectrum.
    - Improved the way filters run-in.
    - Added an export function for annotations. This will export the
      annotations to a comma separated textfile.
    - Added a possibility to bind keys F1-F8 to predefined montages.  This way
      you can quickly switch between different montages by pressing F1, F2, etc
    - Removed a bug in the EDF+D to EDF+C converter that could cause a crash.
    - Removed a bug in the BDF+ to ASCII converter.
  * Imported Upstream version 1.23
    - Changed the DFT-algorithm of the powerspectrum to an FFT-algorithm
      in order to avoid long computation times.
    - Added the possibility to adjust the blocksize for the powerspectrum (FFT).
    - Added an extra option to the Annotations export tool.
      Now you can choose to save the annotations in a comma separated
      textfile or in the EDFplus format.
    - Changed the position of the widgets in the annotation-editor window.
      The "Create" button will not be cut-off anymore when a monitor with
      a resolution of 1024 x 768 is used.
  * Imported Upstream version 1.24
    - Solved a bug in the Nihon Kohden to EDF+ converter that caused
      a message "Can not open file *.log for reading,".

 -- Bas Zoetekouw <bas@debian.org>  Sat, 03 Jul 2010 11:46:01 +0200

edfbrowser (1.21-1) unstable; urgency=low

  * Imported Upstream version 1.19
    - Added extra filter options: lowpass, highpass, notch, bandpass,
      bandstop, Butterworth, Chebyshev, Bessel, 1,2,3,...8 th order, adjustable
      bandpassripple or Q-factor.
    - Removed a bug in the BDF to EDF converter, clicking on "Select all
      signals" or "Deselect all signals" without a selected file, caused a
      crash.
    - Fixed a bug in the "Print to EDF" and "Print to BDF" function.  Filter
      description in header was wrong (i.e. "LPF:" instead of "LP:").
    - Fixed a bug in the Filter Dialog. When adding a new filter when signals
      have different samplerates, initialisation of the new filter could happen
      with wrong samplerate, causing a wrong frequency of the filter.
    - Updated Qt to version 4.6.2
  * Imported Upstream version 1.20
    - Added a power spectrum analyzer (Discrete Fourier Transform).
    - Removed a bug that caused wrong vertical ruler values during printing.
    - Removed a bug that caused a wrong screenoffset when changing the offset
      in the signalproperties dialog.
  * Imported Upstream version 1.21    - The Powerspectrum window will not block
    the main window anymore.  Now you      can open multiple Powerspectrum
    windows (for example, to compare different      blocks of data and/or
    different signals).    - Made a printing option for the Powerspectrum. you
    can print the      Powerspectrum to a printer, Postscript, PDF or an image
    by rightclicking on      the curve of the Powerspectrum.    - The ASCII to
    EDF converter now has a multiplierfactor.  Cleaned up the      code of the
    converter as well.    - Fixed a bug that caused writing to a freed memory
    area which could cause      a crash when closing the program (mainly
    noticeable on windows).    - Fixed a memoryleak.
  * Upgraded standards-version to 3.8.4 (no changes needed)

 -- Bas Zoetekouw <bas@debian.org>  Mon, 24 May 2010 21:43:29 +0200

edfbrowser (1.18-1) unstable; urgency=low

  * Initial release (Closes: #551045)

 -- Bas Zoetekouw <bas@debian.org>  Sat, 30 Jan 2010 15:22:30 +0100
